Get Core Deployment Group By Id

Get Core Deployment Group By Id
Get a specific core deployment group

Get details for a specific core deployment group

Request
URI
GET
https://{api_host}/api/inventory/{org_id}/core/deployment-groups/{deployment_group_id}
COPY
Path Parameters
string
org_id
Required

organization identifier

string
deployment_group_id
Required

deployment group identifier


Responses
200

OK

Returns DeploymentGroup of type(s) application/json
{
    "id": "string",
    "name": "string",
    "org_id": "string",
    "description": "string",
    "deployment_type": {
        "code": "string",
        "provider_name": "string",
        "provider_code": "string",
        "configuration_type": "string",
        "provider_internal_type": "string",
        "multi_provider_internal_type": "string",
        "multi_provider_internal_sub_type": "Simulation"
    },
    "state": {
        "phase": "string",
        "sub_phase": "string",
        "display_name": "string",
        "error_msg": "string",
        "error_code": "string",
        "provider": "string",
        "internal_error_msg": "string",
        "internal_error_code": "string"
    },
    "creator": {
        "user_name": "string",
        "user_id": "string",
        "client_id": "string",
        "timestamp": "string"
    },
    "updater": {
        "user_name": "string",
        "user_id": "string",
        "client_id": "string",
        "timestamp": "string"
    },
    "internal_creator": {
        "user_name": "string",
        "user_id": "string",
        "client_id": "string",
        "timestamp": "string"
    },
    "membership": {
        "included": [
            {
                "deployment_id": "string"
            }
        ],
        "excluded": [
            {
                "deployment_id": "string"
            }
        ]
    },
    "tags": {
        "tags": "string"
    },
    "properties": {
        "properties": "string"
    },
    "deleted": false,
    "resource_version": 0
}
string
id
Optional

Identifier of the deployment group

string
name
Required
Constraints: maxLength: 127

Name of the deployment group

string
org_id
Optional

Identifier of the deployment group organization

string
description
Optional

Describes the deployment group

object
deployment_type
Optional

deployment_type

object
state
Optional

state

object
creator
Optional

creator

object
updater
Optional

updater

object
internal_creator
Optional

internal_creator

object
membership
Optional

membership

object
tags
Optional

Customer defined resource tags

object
properties
Optional

Internal resource properties

boolean
deleted
Optional

Indicates if the current deployment group is deleted

integer As int64 As int64
resource_version
Optional

Version of the record content to handle optimistic control verification


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns ErrorResponse of type(s) application/json
{
    "timestamp": "string",
    "status": 0,
    "error": "string",
    "message": "string",
    "path": "string"
}
string
timestamp
Required

Time error was created

integer
status
Required

HTTP status code

string
error
Required

Translation of status

string
message
Required

Error message

string
path
Required

Originating request URI


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/inventory/{org_id}/core/deployment-groups/{deployment_group_id}